Summary: Cobalt x86 kernel 
Name: kernel
Version: 2.2.14C3
%define version %{PACKAGE_VERSION}
Release: 1
Copyright: GPL/Cobalt
Group: Base/Kernel
ExclusiveOS: Linux
Source: cobalt-linux-%{version}.tar.gz
BuildRoot: /var/tmp/kernel

%changelog
* Sun Mar 26 2000 Chris Johnson <cjohnson@cobalt.com>
 - Added enable/disable feature to watchdog for insmod to
   prevent long duration device initialization from resetting
   the system.

 - Added NAT related config flags.

 - Added "cobalt_install" target to makefile.  Use with caution.

* Mon Mar  6 2000 Chris Johnson <cjohnson@cobalt.com>
 - Minor tweaks for bandwidth management linking.
 - Supports kgdb patch.

* Thu Jan 13 2000 Tim Hockin <thockin@cobalt.com>
 - Lots of various fixes have gone in here - no one has updated this file
 - 2.2.14 merge
 - Added RAID0145 patch
 - Added RAID-wo patch
 - Added USB patch
 - added patches to unofficial-patches dir
 - Everyone should remember to update the kernel.spec.in for big changes
 
* Tue Oct 05 1999 Tim Hockin <thockin@cobaltnet.com>
 - Fix for WDT when booted from ROM or net

* Mon Oct 04 1999 Tim Hockin <thockin@cobaltnet.com>
 - Fixes for WDT
 - Temperature is now output in /proc/cpuinfo
 - bwmgmt fixes for tcpdump from Chris
 - make rpm is smarter about versions, now
 - fixed (workaround, really) bug on first read of LM77

* Sun Oct 03 1999 Tim Hockin <thockin@cobaltnet.com>

 - New boards will have a builtin PIC - use that so we can ditch the PIC
    - hopefully this code can be scrapped - it's ugly
 - Added test for 82559ER - do not use MMIO!

* Tue Sep 28 1999 Tim Hockin <thockin@cobaltnet.com>

 - New cobalt_temp driver - gives /proc/cpu_temperature
 - version cleanups
 - WDT cleanup/enable
 - minor LED cleanup

* Tue Sep 14 1999 Tim Hockin <thockin@cobaltnet.com>

 - LCD driver cleanup by asun
 - New cobalt_wdt driver
 - Various cleanups, fixes, etc

* Thu Aug 26 1999 Tim Hockin <thockin@cobaltnet.com>

 - Patched up to 2.2.12
 - Backed out UDMA and kgdb patches
 - Versioning changed to match mips style
 - Changed tarfile name for $Source

* Tue Aug 24 1999 Timothy Stonis <tim@cobaltnet.com>

 - Added BW management stuff... 
 - Fix date on last checkin.  

* Wed Aug 18 1999 Timothy Stonis <tim@cobaltnet.com>

 - Roll in fix to IP aliasing 

* Sun Aug 8 1999 Timothy Stonis <tim@cobaltnet.com>

 - initial creation of Intel 2.2 package

%package source
Requires: kernel-headers = %{version}
Summary: Kernel source tree
Group: Base/Kernel

%package headers
Summary: Header files for the Linux kernel.
Group: Base/Kernel

%description
This package contains the Linux kernel and modules that are used to boot 
and run your system. The kernel contains a few device drivers for specific 
hardware, but most hardware is instead supported by modules loaded after 
booting.

%description source
This is the source code for the Linux kernel. It is required to build
most C programs as they depend on constants defined in here. You can
also build a custom kernel that is better tuned to your particular
hardware.

%description headers
These are the C header files for the Linux kernel, which define structures
and constants that are needed when building most standard programs under
Linux, as well as to rebuild the kernel.

%prep
if [ "X" != "${RPM_BUILD_ROOT}X" ]; then
    rm -rf $RPM_BUILD_ROOT
fi

%setup -c -q
#setup the tree for the "installed" files - the source
mkdir -p $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/src/
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{version}
cd $RPM_BUILD_ROOT/usr/src
zcat $RPM_SOURCE_DIR/cobalt-linux-%{version}.tar.gz | tar -xf-

find linux-2.2 -name "*.orig" -print | xargs rm -f
mv linux-2.2 linux-%{version}
ln -sfn linux-%{version} linux
chown -R root.root linux-%{version}

%build

# build the actual kernel
cd linux-2.2
cat config-raq3 > arch/i386/defconfig
# 'make rpm' leaves $CONFIGURATION around - bad news
[ -n "$CONFIGURATION" ] && unset CONFIGURATION
make oldconfig
make dep clean
make cobalt
make modules

# make the sources ready for inclusion in the RPM
cd $RPM_BUILD_ROOT/usr/src/linux-%{version}
cat config-raq3 > arch/i386/defconfig
make oldconfig
make include/linux/version.h

%install

cd linux-2.2

mkdir -p $RPM_BUILD_ROOT/boot
cp vmlinux.gz $RPM_BUILD_ROOT/boot
cp System.map $RPM_BUILD_ROOT/boot
cp vmlinux.gz $RPM_BUILD_ROOT
make modules_install INSTALL_MOD_PATH=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/include
ln -s ../src/linux/include/asm $RPM_BUILD_ROOT/usr/include/asm
ln -s ../src/linux/include/linux $RPM_BUILD_ROOT/usr/include/linux
ln -s ../src/linux/include/scsi $RPM_BUILD_ROOT/usr/include/scsi

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ ! -f /usr/games/.doug ] ; then
    if [ -f /boot/vmlinux.gz ] ; then
	mkdir -p /usr/games
	cp /boot/vmlinux.gz /usr/games/.doug
    fi
fi

%post
if [ ! -f /usr/games/.doug ] ; then
    mkdir -p /usr/games
    cp /boot/vmlinux.gz /usr/games/.doug
fi

%files
/boot/vmlinux.gz
/boot/System.map
/vmlinux.gz
%dir /usr/src/linux-%{version}
/usr/src/linux
%dir /lib/modules
/lib/modules/%{version}

%files source
%dir /usr/src/linux-%{version}
/usr/src/linux-%{version}/.config
/usr/src/linux-%{version}/COPYING
/usr/src/linux-%{version}/CREDITS
/usr/src/linux-%{version}/Documentation
/usr/src/linux-%{version}/MAINTAINERS
/usr/src/linux-%{version}/Makefile
/usr/src/linux-%{version}/README
/usr/src/linux-%{version}/Rules.make
/usr/src/linux-%{version}/arch
/usr/src/linux-%{version}/drivers
/usr/src/linux-%{version}/fs
/usr/src/linux-%{version}/init
/usr/src/linux-%{version}/ipc
/usr/src/linux-%{version}/kernel
/usr/src/linux-%{version}/lib
/usr/src/linux-%{version}/mm
/usr/src/linux-%{version}/modules
/usr/src/linux-%{version}/net
/usr/src/linux-%{version}/scripts

%files headers
/usr/src/linux-%{version}/include/asm
/usr/src/linux-%{version}/include/asm-generic
/usr/src/linux-%{version}/include/linux
/usr/src/linux-%{version}/include/net
/usr/src/linux-%{version}/include/scsi
/usr/include/asm
/usr/include/linux
/usr/include/scsi
/usr/src/linux-%{version}/include/asm-i386

